/*		CALENDAR		*/

.calendar {
	display: grid;
	grid-template-columns: repeat(7, minmax(0, 1fr));
	gap: 0.15rem;
	text-align: right;
	margin-bottom: 5rem;
}

.calendar__nav {
	position: -webkit-sticky;
	position: sticky;
	top: calc(60px + 1rem);
	display: flex;
	gap: 0.15rem;
	font-weight: bold;
	font-size: 1.3rem;
	z-index: 1;
	grid-column: 1 / span 7;
	justify-content: space-between;
	margin-top: 1rem;
	margin-bottom: 1rem;
	transition: all 0.2s ease-in-out;
}

.calendar__nav:not(.calendar__nav--floaty) * {
	transition: all 0.2s ease-in-out;
}

.calendar__nav.calendar__nav--floaty {
	transform: scale(1.05) translate(-0.75rem, -0.75rem);
}

.calendar__nav.calendar__nav--floaty * {
	transition: all 0.2s ease-in-out;
	box-shadow: var(--global-shadow-4-higher);
}

.calendar__nav__button {
	font-size: 1rem;
	font-weight: 800;
	background-color: var(--primary-color-1);
}

.calendar__nav__current-month {
	text-transform: uppercase;
	text-align: center;
	flex: 1;
	background-color: var(--primary-color-4);
	color: var(--primary-color-1);
}

.calendar__head {
	display: flex;
	justify-content: flex-end;
	font-weight: bold;
	font-size: 0.9rem;
	padding: 0.15rem 0.35rem;
	background-color: var(--primary-color-1);
	color: #FFFFFF;
}

.calendar__day, .calendar__day--today, .calendar__blank {
	font-size: 0.75em;
	min-height: 4rem;
}

.calendar__day {
	position: relative;
	background-color: var(--primary-color-t1);
	min-height: 6rem;
}

.calendar__day--today {
	background-color: var(--primary-color-3);
	color: #FFFFFF;
}

.calendar__day:not(.calendar__day--mobile-collapsed):hover {
	transform: scale(0.95, 0.95);
	transition: transform 0.1s ease-in-out;
}

.calendar__blank {
	background-color: var(--primary-color-5);
	color: var(--primary-color-t1);
	opacity: 0.5;
}

.calendar__add {
	opacity: 0;
	pointer-events: none;
	position: absolute;
	left: 0.25rem;
	top: 0.25rem;
	width: 1.5rem;
	height: 1.5rem;
	background-color: var(--primary-color-3);
	background-image: url(../img/icons/plus.svg);
	background-position: center;
	background-size: 1rem;
	background-repeat: no-repeat;
	transition: opacity 0.2s ease-in-out;
}

.calendar__day:hover .calendar__add {
	opacity: 1;
	pointer-events: initial;
}

.calendar__day-nr {
	font-size: 0.75rem;
	font-weight: 600;
	padding: 0.15rem 0.35rem;
	background-color: var(--primary-color-t1);
}

.calendar__blank .calendar__day-nr {
	background-color: var(--primary-color-t2);
}

.calendar__weekday {
	display: none;
}

.calendar__event {
	padding: 0.25rem 0.25rem 1rem 0.25rem;
	word-break: break-word;
	min-height: calc(100% - 1.3rem);
	transition: transform 0.2s ease-in-out;
}

.calendar__event:hover {
	cursor: pointer;
}
.calendar__event__title {
	font-size: 0.8rem;
	font-weight: 600;
	text-align: left;
}

.calendar__event__flyer {
	background-position-y: center;
	background-size: cover;
	border: 1px solid var(--primary-color-3);
	min-height: 6em;
	/*filter: invert(54%) sepia(67%) saturate(60%) hue-rotate(294deg) brightness(53%) contrast(65%);*/
	filter: sepia(35%) saturate(70%) hue-rotate(255deg) brightness(90%) contrast(55%);
}

.calendar__day:hover .calendar__event__flyer {
	filter: none;
}

@media screen and (max-width: 991px) {
	.calendar {
		width: 100%;
		align-items: flex-end;
		justify-content: flex-end;
	}

	.calendar__head,
	.calendar__blank {
		display: none;
	}

	.calendar__nav {
		gap: 0;
	}

	.calendar__nav.calendar__nav--floaty {
		transform: scale(1, 1) translate(-0.35rem, -0.35rem);
	}
	.calendar__nav__button {
		padding: 0.5rem 1rem;
	}

	.calendar__nav__current-month {
		padding: 0.5rem 1rem;
		margin: auto;
	}

	.calendar__weekday {
		display: unset;
		padding-right: 0.15rem;
		color: var(--primary-color-t1);
	}

	.cards--calendar {
		display: flex;
		justify-content: flex-start;

	}

	.calendar__day {
		margin: 1rem auto;
		padding-bottom: unset;
		min-height: unset;
	}

	.calendar__day:not(.calendar__day--mobile-collapsed) {
		grid-column: 1 / span 7;
		width: 100%;
	}

	.calendar__add {
		left: 0.15rem;
		top: 0.15rem;
		right: 0.15rem;
		bottom: 0.15rem;
		width: unset;
		height: unset;
	}

	.calendar__day-nr {
		font-size: 1rem;
		color: var(--primary-color-5);
		background-color: var(--primary-color-1);
	}

	.calendar__day--mobile-collapsed {
		display: inline-flex;
		margin: 0.25rem;
		overflow: hidden;
		opacity: 0.5;
		align-items: center;
		justify-content: center;
	}

	.calendar__day--mobile-collapsed .calendar__day-nr {
		background-color: unset;
	}

	.calendar__event {
		display: flex;
		padding: 0.5rem;
		width: 100%;
	}

	.calendar__event__title {
		font-size: 1rem;
		padding: 0.1rem 0.5rem;
		flex: 1;
	}

	.calendar__event__flyer {
		width: 50%;
		min-height: 6rem;
	}
}

